Subject: RE: [SIP] OPTIONS and out-of-band Route.

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Mon, 6 Nov 2000 23:28:08 -0800

> 
> If a proxy inserts a record-route into a request, that means 
> it wishes to
> receive all subsequent requests, in both directions, that 
> contain the same
> value of the To, From, and Call-ID. 
> 
> I like this, since then it works for MESSAGE and SUBSCRIBE, which have
> similar requirements.

Agreed. Much more general. 
 
> Now, to handle your OPTIONS case:
> 
> If a UAC initiates a call to a host as the result of an 
> OPTIONS query, it
> SHOULD use the same Call-ID as was used in the OPTIONS query. 
> Note that as a
> result of standard Record-Routing rules, this INVITE will contain any
> routing information learned from the OPTIONS response.
> 
My only comment here is that Section 11 & 12 on the behavior of UAC's and
proxies is written from the point of view that a Call State Machine is
created by an "initial INVITE request". I believe it is this idea, that is,
importing "out-of-band" Route information from _before_ the Initial INVITE
Request, that is cause of the recent discussions/queries/confusion in this
area. In other words, in my mind the existing Record-Route rules description
doesn't quite stretch to unambiguously cover the pre-initial-invite
behaviour. I think a small clarification would be helpful.

Cheers,

Robert.

-- My opinions are my own. I tried selling them once but everybody
	seems to already have one. -- 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: David Shrader <[email-masked]>
Date: Tue, 07 Nov 2000 09:39:48 -0500

I agree. Since the Record-Route mechanism is predicated on the fact that the
proxy wants to remain in the call path because it is going to maintain state
on the call, it is extremely problematic if the record-route function occurs
on an OPTIONS. This would then, somehow, add pre-call-state prior to INVITE.
Suppose conditions change between the OPTIONS and the INVITE, such as
time-of-day routing decisions that cause the INVITE to routed a different
way. Are we then stuck because we had a pre-loaded Route header that
identifies a particular path?

I think we can generalize the record-route mechanism to operate on the
SUBSCRIBE/NOTIFY/MESSAGE type of requests, but I am concerned about
pre-loading the Route on an initial INVITE (or initial SUBSCRIBE).

David

----------------------------
David Shrader
Master Consultant, Inc.
[email-masked]
http://www.EyeForTheFuture.com

> From: "Fairlie-Cuninghame, Robert" <[email-masked]>
> Date: Mon, 6 Nov 2000 23:28:08 -0800
> To: "'Jonathan Rosenberg'" <[email-masked]>, [email-masked]
> Subject: RE: [SIP] OPTIONS and out-of-band Route.
> 
>>

---

From: "Henning G. Schulzrinne" <[email-masked]>
Date: Tue, 07 Nov 2000 10:17:45 -0500

> pre-loading the Route on an initial INVITE (or initial SUBSCRIBE).

I don't understand this concern. The client presumably has a reason to
do the routing; nobody forces it to insert Route headers. The proxy
keeps no state of any kind, it just obeys the Route headers. Thus, I'm a
bit lost as to why this inconveniences the proxy in any way.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs